Index: trunk/source/App/TAppExtractor/TAppExtrTop.cpp
===================================================================
--- trunk/source/App/TAppExtractor/TAppExtrTop.cpp	(revision 56)
+++ trunk/source/App/TAppExtractor/TAppExtrTop.cpp	(revision 608)
@@ -1,39 +1,37 @@
-/* The copyright in this software is being made available under the BSD
- * License, included below. This software may be subject to other third party
- * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
- *
- * Copyright (c) 2010-2011, ISO/IEC
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- *
- *  * Redistributions of source code must retain the above copyright notice,
- *    this list of conditions and the following disclaimer.
- *  * Redistributions in binary form must reproduce the above copyright notice,
- *    this list of conditions and the following disclaimer in the documentation
- *    and/or other materials provided with the distribution.
- *  * Neither the name of the ISO/IEC nor the names of its contributors may
- *    be used to endorse or promote products derived from this software without
- *    specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
- * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
- * THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** \file     TAppExtrTop.cpp
-    \brief    Extractor application class
-*/
-
+///* The copyright in this software is being made available under the BSD
+// * License, included below. This software may be subject to other third party
+// * and contributor rights, including patent rights, and no such rights are
+// * granted under this license.  
+// *
+// * Copyright (c) 2010-2011, ISO/IEC
+// * All rights reserved.
+// *
+// * Redistribution and use in source and binary forms, with or without
+// * modification, are permitted provided that the following conditions are met:
+// *
+// *  * Redistributions of source code must retain the above copyright notice,
+// *    this list of conditions and the following disclaimer.
+// *  * Redistributions in binary form must reproduce the above copyright notice,
+// *    this list of conditions and the following disclaimer in the documentation
+// *    and/or other materials provided with the distribution.
+// *  * Neither the name of the ISO/IEC nor the names of its contributors may
+// *    be used to endorse or promote products derived from this software without
+// *    specific prior written permission.
+// *
+// * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+// * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+// * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+// * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+// * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+// * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+// * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+// * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+// * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+// * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+// * THE POSSIBILITY OF SUCH DAMAGE.
+// */
+//
+///** \file     TAppExtrTop.cpp
+//    \brief    Extractor application class
 #include "TAppExtrTop.h"
 #include "../../Lib/TLibDecoder/AnnexBread.h"
@@ -44,4 +42,5 @@
 #include <assert.h>
 
+#if H_MV
 // ====================================================================================================================
 // Constructor / destructor / initialization / destroy
@@ -50,4 +49,7 @@
 TAppExtrTop::TAppExtrTop()
 {
+  // To suppress compiler warnings on potential division by 0. 
+  g_uiMaxCUWidth  = 1;
+  g_uiMaxCUHeight = 1;
 }
 
@@ -60,7 +62,8 @@
 // ====================================================================================================================
 
-/**
- - until the end of the bitstream, call extraction function in TExtrTop class
- */
+//
+//until the end of the bitstream, call extraction function in TExtrTop class
+//
+
 Void TAppExtrTop::extract()
 {
@@ -128,4 +131,5 @@
   outputBitstreamFile.close();
 
+
   // write SPS info file
   if ( m_pchSpsInfoFile )
@@ -143,4 +147,8 @@
     cSpsInfoFileHandle.close();
   }
+
+  m_cTExtrTop.dumpVpsInfo( std::cout ); 
   m_cTExtrTop.dumpSpsInfo( std::cout );
+
 }
+#endif
Index: trunk/source/App/TAppExtractor/TAppExtrTop.h
===================================================================
--- trunk/source/App/TAppExtractor/TAppExtrTop.h	(revision 56)
+++ trunk/source/App/TAppExtractor/TAppExtrTop.h	(revision 608)
@@ -46,4 +46,5 @@
 #include "TAppExtrCfg.h"
 
+#if H_MV
 // ====================================================================================================================
 // Class definition
@@ -66,2 +67,3 @@
 #endif
 
+#endif
Index: trunk/source/App/TAppExtractor/extrmain.cpp
===================================================================
--- trunk/source/App/TAppExtractor/extrmain.cpp	(revision 56)
+++ trunk/source/App/TAppExtractor/extrmain.cpp	(revision 608)
@@ -41,4 +41,5 @@
 #include "TAppExtrTop.h"
 
+#if H_MV
 // ====================================================================================================================
 // Main function
@@ -68,5 +69,5 @@
 
   // call extraction function
-  cTAppExtrTop.extract();
+//  cTAppExtrTop.extract();
 
   // ending time
@@ -76,4 +77,13 @@
   return EXIT_SUCCESS;
 }
+#else
 
+#include <iostream>
+int main(int argc, char* argv[])
+{
+  std::cout << "Set H_MV equal to 1 in TypeDef.h to build bitstream extractor. " << std::endl; 
+  return 1; 
+}
 
+#endif
+
